curl https://api.stophy.dev/v1/monitor/{id}/checks/{checkId} \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/monitor/{id}/checks/{checkId}", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/monitor/{id}/checks/{checkId}",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"creditsUsed": 123,
"costUsd": 123,
"requestId": "<string>",
"id": "<string>",
"data": {
"id": "<string>",
"monitorId": "<string>",
"status": "queued",
"trigger": "scheduled",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"estimatedCredits": 123,
"estimatedCostUsd": 123,
"reservedCredits": 123,
"actualCredits": 123,
"actualCostUsd": 123,
"billingStatus": "not_applicable",
"summary": {
"totalPages": 123,
"same": 123,
"changed": 123,
"new": 123,
"removed": 123,
"error": 123
},
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pages": [
{
"id": "<string>",
"targetId": "<string>",
"url": "<string>",
"status": "same",
"statusCode": 123,
"error": "<string>",
"diff": {},
"snapshot": {},
"creditsUsed": 123,
"costUsd": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"next": "<string>"
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}Monitors
Read a check
One check with the result for each page: same, new, changed, removed or error, with the diff. next is the address of the next page of results.
GET
/
v1
/
monitor
/
{id}
/
checks
/
{checkId}
curl https://api.stophy.dev/v1/monitor/{id}/checks/{checkId} \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/monitor/{id}/checks/{checkId}", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/monitor/{id}/checks/{checkId}",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())
{
"success": true,
"creditsUsed": 123,
"costUsd": 123,
"requestId": "<string>",
"id": "<string>",
"data": {
"id": "<string>",
"monitorId": "<string>",
"status": "queued",
"trigger": "scheduled",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"estimatedCredits": 123,
"estimatedCostUsd": 123,
"reservedCredits": 123,
"actualCredits": 123,
"actualCostUsd": 123,
"billingStatus": "not_applicable",
"summary": {
"totalPages": 123,
"same": 123,
"changed": 123,
"new": 123,
"removed": 123,
"error": 123
},
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"pages": [
{
"id": "<string>",
"targetId": "<string>",
"url": "<string>",
"status": "same",
"statusCode": 123,
"error": "<string>",
"diff": {},
"snapshot": {},
"creditsUsed": 123,
"costUsd": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"next": "<string>"
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}Price
Free. See Pricing.No example is recorded: the monitor that recorded the other examples was deleted before this call. The schema below lists every field.
curl https://api.stophy.dev/v1/monitor/{id}/checks/{checkId} \
-H "Authorization: Bearer $STOPHY_API_KEY"
const response = await fetch("https://api.stophy.dev/v1/monitor/{id}/checks/{checkId}", {
headers: {
Authorization: `Bearer ${process.env.STOPHY_API_KEY}`,
},
});
console.log(await response.json());
import os
import requests
response = requests.get(
"https://api.stophy.dev/v1/monitor/{id}/checks/{checkId}",
headers={"Authorization": f"Bearer {os.environ['STOPHY_API_KEY']}"},
)
print(response.json())